Subject: Re: bug#6414: f->output_data.w32->menubar_widget uninitialized?

From: Lennart Borgman <[email-masked]>
Date: Mon, 4 Jul 2011 00:37:04 +0200

On Mon, Jul 4, 2011 at 00:30, Juanma Barranquero <[email-masked]> wrote:
> On Mon, Jul 4, 2011 at 00:19, Lennart Borgman <[email-masked]> wrote:
>
>> However I think it is also very difficult to catch such errors. They
>> are likely to be race conditions (since w32 messages from different
>> sources are involved).
>
> But you're talking of presumed errors, i.e., you read the code, see
> some error messages from system calls, but there's no error, is there?

It has been some time since I suggested this, but as far as I remember
I looked into this because I had quite a few crashes. They seemed to
be related to menus.

>> So I think it is better to check the logic. (As I have tried to above.)
>
> Which is fine, but it is not IMO a bug report. In this specific case,
> the title refers to an uninitialized struct component, but you
> yourself say latter that it is initialized.

Yes, correct. And I pointed to another place where I thought the
problem was instead.

>> And I also still think it is a good idea to add check for error
>> conditions after all system calls. (For the same reason as above.)
>
> As you know, this has been discussed and there's some difference of
> opinion, but again, even if you're right, that's not a bug report,
> other than perhaps a wishlist, but frankly, this seems more like
> something to discuss (again) on emacs-devel than to file as a bug.

Since you asked for a recipe I thought I had to mention this again. It
looked to me that you overlooked this problem again.

> So, to summarize: is this bug report about a bug? Is there something
> to do about it? Or can we close it?

Did you look at the logic as I suggested? If you are sure my
suggestion is wrong then feel free to close the bug.